debug.h File Reference

Debug functions. More...

`#include "config.h"`
`#include "ssl.h"`
`#include "ecp.h"`
Include dependency graph for debug.h:

Go to the source code of this file.

## Macros

#define | MBEDTLS_DEBUG_STRIP_PARENS(...) __VA_ARGS__
#define | MBEDTLS_SSL_DEBUG_MSG(level, args)
#define | MBEDTLS_SSL_DEBUG_RET(level, text, ret) mbedtls_debug_print_ret( ssl, level, __FILE__, __LINE__, text, ret )
#define | MBEDTLS_SSL_DEBUG_BUF(level, text, buf, len) mbedtls_debug_print_buf( ssl, level, __FILE__, __LINE__, text, buf, len )
#define | MBEDTLS_SSL_DEBUG_MPI(level, text, X) mbedtls_debug_print_mpi( ssl, level, __FILE__, __LINE__, text, X )
#define | MBEDTLS_SSL_DEBUG_ECP(level, text, X) mbedtls_debug_print_ecp( ssl, level, __FILE__, __LINE__, text, X )
#define | MBEDTLS_SSL_DEBUG_CRT(level, text, crt) mbedtls_debug_print_crt( ssl, level, __FILE__, __LINE__, text, crt )

## Functions

void | mbedtls_debug_set_threshold (int threshold)
| Set the level threshold to handle globally. More...
void | mbedtls_debug_print_msg (const mbedtls_ssl_context *ssl, int level, const char *file, int line, const char *format,...)
void | mbedtls_debug_print_ret (const mbedtls_ssl_context *ssl, int level, const char *file, int line, const char *text, int ret)
void | mbedtls_debug_print_buf (const mbedtls_ssl_context *ssl, int level, const char *file, int line, const char *text, const unsigned char *buf, size_t len)
void | mbedtls_debug_print_mpi (const mbedtls_ssl_context *ssl, int level, const char *file, int line, const char *text, const mbedtls_mpi *X)
void | mbedtls_debug_print_ecp (const mbedtls_ssl_context *ssl, int level, const char *file, int line, const char *text, const mbedtls_ecp_point *X)
void | mbedtls_debug_print_crt (const mbedtls_ssl_context *ssl, int level, const char *file, int line, const char *text, const mbedtls_x509_crt *crt)

## Detailed Description

Debug functions.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file debug.h.

## Macro Definition Documentation

#define MBEDTLS_DEBUG_STRIP_PARENS | ( |  | ... | ) | __VA_ARGS__

Definition at line 40 of file debug.h.

#define MBEDTLS_SSL_DEBUG_BUF | ( |  | level,
|  |  | text,
|  |  | buf,
|  |  | len
| ) |  | mbedtls_debug_print_buf( ssl, level, __FILE__, __LINE__, text, buf, len )

Definition at line 49 of file debug.h.

#define MBEDTLS_SSL_DEBUG_CRT | ( |  | level,
|  |  | text,
|  |  | crt
| ) |  | mbedtls_debug_print_crt( ssl, level, __FILE__, __LINE__, text, crt )

Definition at line 63 of file debug.h.

#define MBEDTLS_SSL_DEBUG_ECP | ( |  | level,
|  |  | text,
|  |  | X
| ) |  | mbedtls_debug_print_ecp( ssl, level, __FILE__, __LINE__, text, X )

Definition at line 58 of file debug.h.

#define MBEDTLS_SSL_DEBUG_MPI | ( |  | level,
|  |  | text,
|  |  | X
| ) |  | mbedtls_debug_print_mpi( ssl, level, __FILE__, __LINE__, text, X )

Definition at line 53 of file debug.h.

#define MBEDTLS_SSL_DEBUG_MSG | ( |  | level,
|  |  | args
| ) |  |

Value:
mbedtls_debug_print_msg( ssl, level, __FILE__, __LINE__, \
MBEDTLS_DEBUG_STRIP_PARENS args )
mbedtls_debug_print_msg
void mbedtls_debug_print_msg(const mbedtls_ssl_context *ssl, int level, const char *file, int line, const char *format,...)
MBEDTLS_DEBUG_STRIP_PARENS
#define MBEDTLS_DEBUG_STRIP_PARENS(...)
Definition: debug.h:40

Definition at line 42 of file debug.h.

#define MBEDTLS_SSL_DEBUG_RET | ( |  | level,
|  |  | text,
|  |  | ret
| ) |  | mbedtls_debug_print_ret( ssl, level, __FILE__, __LINE__, text, ret )

Definition at line 46 of file debug.h.

## Function Documentation

void mbedtls_debug_print_buf | ( | const mbedtls_ssl_context * | ssl,
|  | int | level,
|  | const char * | file,
|  | int | line,
|  | const char * | text,
|  | const unsigned char * | buf,
|  | size_t | len
| ) |  |

void mbedtls_debug_print_crt | ( | const mbedtls_ssl_context * | ssl,
|  | int | level,
|  | const char * | file,
|  | int | line,
|  | const char * | text,
|  | const mbedtls_x509_crt * | crt
| ) |  |

void mbedtls_debug_print_ecp | ( | const mbedtls_ssl_context * | ssl,
|  | int | level,
|  | const char * | file,
|  | int | line,
|  | const char * | text,
|  | const mbedtls_ecp_point * | X
| ) |  |

void mbedtls_debug_print_mpi | ( | const mbedtls_ssl_context * | ssl,
|  | int | level,
|  | const char * | file,
|  | int | line,
|  | const char * | text,
|  | const mbedtls_mpi * | X
| ) |  |

void mbedtls_debug_print_msg | ( | const mbedtls_ssl_context * | ssl,
|  | int | level,
|  | const char * | file,
|  | int | line,
|  | const char * | format,
|  |  | ...
| ) |  |

void mbedtls_debug_print_ret | ( | const mbedtls_ssl_context * | ssl,
|  | int | level,
|  | const char * | file,
|  | int | line,
|  | const char * | text,
|  | int | ret
| ) |  |

void mbedtls_debug_set_threshold | ( | int | threshold | ) |

Set the level threshold to handle globally.

Messages that have a level over the threshold value are ignored. (Default value: 0 (No debug))

Parameters

  threshold | maximum level of messages to pass on